#!/bin/bash -x

DEST=`pwd`/.destino
ORIG=`pwd`/.origen


echo "finalizando"
sync
umount $ORIG
rmdir $ORIG
sync
while read -r line
do
	CADENA=`echo $line | sed -e 's/--unrestricted//'`
	sed -i -e 's/'"$line"'/'"$CADENA"'/' $DEST/boot/grub/grub.cfg
done < <(cat $DEST/boot/grub/grub.cfg | grep menuentry)
grub-install --root-directory=$DEST $1
umount $DEST
rmdir $DEST
sync

exit 0

